import { httpApp } from "@/plugins/axiosIndex";
import { pickBy } from "lodash-es";
import { object2QueryString } from "@/utils/utils";

// realtime-monitoring
export function invigilateList(datas) {
  const data = pickBy(datas, (v) => v !== "");
  return httpApp.post(
    "/api/admin/invigilate/list?" + object2QueryString(data),
    {}
  );
}
export function invigilateDetail(recordId) {
  return httpApp.post(
    "/api/admin/invigilate/list/detail?examRecordId=" + recordId,
    {}
  );
}

export function examList(datas) {
  const data = pickBy(datas, (v) => v !== "");
  return httpApp.post("/api/admin/exam/list?" + object2QueryString(data), {});
}

export function warningStudentDetail({ recordId }) {
  const data = {
    recordId,
  };
  return httpApp.post(
    "/api/admin/monitor/call/query?" + object2QueryString(data),
    {}
  );
}

export function communicationList({
  examActivityId,
  pageNumber = 1,
  pageSize = 10,
}) {
  const data = pickBy(
    { examActivityId, pageNumber, pageSize },
    (v) => v !== ""
  );
  return httpApp.post(
    "/api/admin/monitor/call/list?" + object2QueryString(data),
    {},
    {
      noErrorMessage: true,
    }
  );
}

export function communicationOver(callCancelBackendMobile) {
  return httpApp.post(
    "/api/admin/monitor/call/cancel",
    { callCancelBackendMobile },
    {
      noErrorMessage: true,
    }
  );
}

// invigilation-detail
export function invigilationHistoryList({ pageNumber = 1, pageSize = 10 }) {
  const data = pickBy({ pageNumber, pageSize }, (v) => v !== "");
  return httpApp.post(
    "/api/admin/invigilate/history/list?" + object2QueryString(data),
    {}
  );
}
